CREATE TABLE cmf_process_errors (
    PROCESS_ERROR_ID          NUMBER(18, 0) ,
    PROCESS_NAME              VARCHAR2(1000)    NOT NULL,
    TABLE_NAME                VARCHAR2(120)     NOT NULL,
    FISCAL_DOC_HEADER_ID      NUMBER(18, 0) ,
    FISCAL_DOC_LINE_ID        NUMBER(18, 0) ,
    FISCAL_DOC_SCHEDULE_ID    NUMBER(18, 0) ,
    REQUEST_ID                NUMBER(18, 0) ,
    TABLE_ROW_ID              VARCHAR2(72)  ,
    ERROR_CODE                VARCHAR2(120) ,
    ERROR_MESSAGE             VARCHAR2(4000),
    TOKEN1_NAME               VARCHAR2(120) ,
    TOKEN1_VALUE              VARCHAR2(960) ,
    TOKEN2_NAME               VARCHAR2(120) ,
    TOKEN2_VALUE              VARCHAR2(960) ,
    TOKEN3_NAME               VARCHAR2(120) ,
    TOKEN3_VALUE              VARCHAR2(960) ,
    TOKEN4_NAME               VARCHAR2(120) ,
    TOKEN4_VALUE              VARCHAR2(960) ,
    TOKEN5_NAME               VARCHAR2(120) ,
    TOKEN5_VALUE              VARCHAR2(960) ,
    TOKEN6_NAME               VARCHAR2(120) ,
    TOKEN6_VALUE              VARCHAR2(960) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ERROR_PROCEDURE_NAME      VARCHAR2(200) ,
    ERROR_PACKAGE_NAME        VARCHAR2(200) ,
    ERROR_DETAILS             VARCHAR2(4000),
    MESSAGE_CAUSE             VARCHAR2(4000),
    MESSAGE_USER_ACTION       VARCHAR2(4000),
    MESSAGE_TEXT              VARCHAR2(4000),
    PROCESS_ERROR_ID          NUMBER(18, 0) ,
    PROCESS_NAME              VARCHAR2(1000)    NOT NULL,
    TABLE_NAME                VARCHAR2(120)     NOT NULL,
    FISCAL_DOC_HEADER_ID      NUMBER(18, 0) ,
    FISCAL_DOC_LINE_ID        NUMBER(18, 0) ,
    FISCAL_DOC_SCHEDULE_ID    NUMBER(18, 0) ,
    REQUEST_ID                NUMBER(18, 0) ,
    TABLE_ROW_ID              VARCHAR2(72)  ,
    ERROR_CODE                VARCHAR2(120) ,
    ERROR_MESSAGE             VARCHAR2(4000),
    TOKEN1_NAME               VARCHAR2(120) ,
    TOKEN1_VALUE              VARCHAR2(960) ,
    TOKEN2_NAME               VARCHAR2(120) ,
    TOKEN2_VALUE              VARCHAR2(960) ,
    TOKEN3_NAME               VARCHAR2(120) ,
    TOKEN3_VALUE              VARCHAR2(960) ,
    TOKEN4_NAME               VARCHAR2(120) ,
    TOKEN4_VALUE              VARCHAR2(960) ,
    TOKEN5_NAME               VARCHAR2(120) ,
    TOKEN5_VALUE              VARCHAR2(960) ,
    TOKEN6_NAME               VARCHAR2(120) ,
    TOKEN6_VALUE              VARCHAR2(960) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ERROR_PROCEDURE_NAME      VARCHAR2(200) ,
    ERROR_PACKAGE_NAME        VARCHAR2(200) ,
    ERROR_DETAILS             VARCHAR2(4000),
    MESSAGE_CAUSE             VARCHAR2(4000),
    MESSAGE_USER_ACTION       VARCHAR2(4000),
    MESSAGE_TEXT              VARCHAR2(4000),
    CONSTRAINT pk_cmf_process_errors PRIMARY KEY (PROCESS_ERROR_ID, PROCESS_ERROR_ID)
);
